Page MenuHomePhabricator

[llvm] Add llvm-lipo dependency to runtimes
ClosedPublic

Authored by xinxinw1 on Dec 12 2019, 11:46 AM.

Details

Summary

Currently, llvm-lipo is not specified as a dependency, but it is needed when building Darwin-x86_64 runtimes, so I'm adding it to the dependencies lists.

Diff Detail

Event Timeline

xinxinw1 created this revision.Dec 12 2019, 11:46 AM
Herald added a project: Restricted Project. · View Herald Transcript
xinxinw1 retitled this revision from [llvm/runtimes] Add llvm-lipo dependency to runtimes to [llvm] Add llvm-lipo dependency to runtimes.Dec 12 2019, 11:48 AM
xinxinw1 edited the summary of this revision. (Show Details)
smeenai added a subscriber: smeenai.

Makes sense to me ... it'd be ideal to limit this to runtimes being built for Darwin targets, but idk if that's possible, and I don't think it's that big of a deal to build llvm-lipo when it's not needed, since it's a pretty tiny dependency.

As it stands, I think this will make llvm-lipo be used unconditionally in preference to the system lipo ... I don't know if that's always desirable?

i think it should work fine (from the "functional" point of view there should be no difference between lipo and llvm-lipo in most scenarios)

smeenai accepted this revision.Dec 13 2019, 7:32 PM

LGTM ... I'll wait a few more days in case anyone has comments.

This revision is now accepted and ready to land.Dec 13 2019, 7:32 PM
phosek accepted this revision.Dec 14 2019, 7:35 AM

LGTM

This revision was automatically updated to reflect the committed changes.